Bug 1312121 - Munin dynamic graph zoom (dynazoom) failing due to Apache config.
Munin dynamic graph zoom (dynazoom) failing due to Apache config.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: d. johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 14:19 EST by Tibbs Brookside
Modified: 2016-04-03 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: munin-2.0.25-11.fc24 munin-2.0.25-11.fc23 munin-2.0.25-11.fc22 munin-2.0.25-11.el7 munin-2.0.25-11.el6 munin-2.0.25-11.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 14:04:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tibbs Brookside 2016-02-25 14:19:32 EST
Description of problem:

Attempting to zoom into a graph doesn't work. Checking the Apache logs shows a "client denied by server configuration" failure.

Version-Release number of selected component (if applicable):

httpd-2.4.18-1.fc23.x86_64
munin-2.0.25-4.fc23.noarch

How reproducible:

Always

Steps to Reproduce:
1. Access Munin web UI
2. Click on graph
3. Attempt to zoom

Actual results:

[Thu Feb 25 17:49:31.501881 2016] [authz_core:error] [pid 10081] [client 192.168.1.2:52228] AH01630: client denied by server configuration: /var/www/cgi-bin/munin-cgi-graph, referer: http://server/munin/static/dynazoom.html?plugin_name=modem%2Fmodem%2Fdsl_spd&start_iso8601=2016-02-25T11%3A46%3A47-0000&stop_iso8601=2016-02-25T17%3A46%3A47-0000&start_epoch=1456400807&stop_epoch=1456422407&lower_limit=&upper_limit=&size_x=800&size_y=400&cgiurl_graph=%2Fmunin-cgi%2Fmunin-cgi-graph

Expected results:

Zoomed graph.

Additional info:

I added the following to the /etc/httpd/conf.d/munin.conf file, so it matched the <directory /var/www/html/munin> directive, and zooming now works.

<Location /munin-cgi/munin-cgi-graph>

AuthUserFile /etc/munin/munin-htpasswd
AuthName "Munin"
AuthType Basic
require valid-user

</Location>
Comment 1 Fedora Update System 2016-03-15 21:38:49 EDT
munin-2.0.25-11.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 2 Fedora Update System 2016-03-15 21:39:55 EDT
munin-2.0.25-11.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 3 Fedora Update System 2016-03-15 21:40:35 EDT
munin-2.0.25-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 4 Fedora Update System 2016-03-15 21:41:09 EDT
munin-2.0.25-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 5 Fedora Update System 2016-03-15 21:41:48 EDT
munin-2.0.25-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 6 Fedora Update System 2016-03-15 21:42:20 EDT
munin-2.0.25-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 7 Fedora Update System 2016-03-18 10:59:54 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 8 Fedora Update System 2016-03-18 18:49:42 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 9 Fedora Update System 2016-03-18 18:51:54 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 10 Fedora Update System 2016-03-18 19:56:22 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 11 Fedora Update System 2016-03-18 21:27:02 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 12 Fedora Update System 2016-03-18 22:18:18 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 13 Fedora Update System 2016-03-26 14:04:35 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-26 15:49:43 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-26 16:20:42 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-04-02 15:25:29 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-04-02 16:34:07 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-04-03 15:51:15 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.